Debian Bug report logs - #256699
with file-rc, netenv cannot rely on hostname.sh being executed before it

version graph

Package: netenv; Maintainer for netenv is Arnaud Fontaine <arnau@debian.org>; Source for netenv is src:netenv.

Reported by: Debian User <bigmike160@yahoo.com>

Date: Tue, 25 May 2004 20:18:05 UTC

Severity: minor

Tags: patch

Found in version 0.94.3-7

Fixed in version netenv/0.94.3-25

Done: Arnaud Fontaine <arnau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Michael Olson <bigmike160@yahoo.com>, Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to Debian User <bigmike160@yahoo.com>:
New Bug report received and forwarded. Copy sent to Michael Olson <bigmike160@yahoo.com>, Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Debian User <bigmike160@yahoo.com>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: netenv: netenv init script is removed from the boot sequence on update
Date: Tue, 25 May 2004 15:14:23 -0500
Package: netenv
Version: 0.94.3-7
Severity: minor

I would prefer that when I upgrade netenv, it would remain in the boot
sequence.  It is tedious to have to re-add it every time the package
is updated.

Perhaps an /etc/default/netenv file could be added with a
configuration option like USE_INIT_SCRIPT.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.5-mwo01
Locale: LANG=C, LC_CTYPE=C

Versions of packages netenv depends on:
ii  coreutils                5.0.91-2        The GNU core utilities
ii  debconf                  1.4.25          Debian configuration management sy
ii  dialog                   0.9b-20040421-1 Displays user-friendly dialog boxe

-- debconf information:
  netenv/info_pcmcia:
  netenv/twoconfs:
  netenv/is_configured0: false
  netenv/auto_method:
  netenv/cleaned_225582:
  netenv/info_interfaces:
  netenv/showagain:
  netenv/noconf:
  netenv/auto_configure: Disable for now



Information forwarded to Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to maintainer. Copy sent to Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #10 received at 250914-maintonly@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: Debian User <bigmike160@yahoo.com>
Cc: 250914-maintonly@bugs.debian.org
Subject: Re: Bug#250914: netenv: netenv init script is removed from the boot sequence on update
Date: Wed, 26 May 2004 10:41:24 +0200
Debian User <bigmike160@yahoo.com> wrote:

> I would prefer that when I upgrade netenv, it would remain in the boot
> sequence.  It is tedious to have to re-add it every time the package
> is updated.

I see. You chose to disable it first after installation, but now you
have enabled it, and naturally you want to keep it...

It will add even more complexity to the maintainer scripts, thus it will
take me some time to fix this.

For the time being, you can save away the files corresponding to your
default configuration (/etc/netenv/$hostname and
/etc/netenv/setup-default), and run dpkg-reconfigure netenv. Choose to
not keep the current settings and then accept the "Use current settings"
choice (don't choose disable for now). At least I hope it will offer to
keept the current settings... It will write a new /etc/netenv/$hostname,
and possibly /etc/netenv/setup-default, which you should restore from
your backup copy (or delete if you don't need setup-default).

Regards, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to Michael Olson <bigmike160@yahoo.com>:
Extra info received and forwarded to maintainer. Copy sent to Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #15 received at 250914-maintonly@bugs.debian.org (full text, mbox):

From: Michael Olson <bigmike160@yahoo.com>
To: Frank K?ster <frank@kuesterei.ch>
Cc: 250914-maintonly@bugs.debian.org
Subject: Re: Bug#250914: netenv: netenv init script is removed from the boot sequence on update
Date: Wed, 26 May 2004 16:36:12 -0500
Thanks for the help.  I reconfigured netenv the way you said.  Then I
did a 'dpkg -r netenv' and installed netenv again.  The problem still
occurs.  I guess I did not describe the problem very well, sorry about
that.

The problem is that netenv is removed from /etc/runlevel.conf every
time netenv is removed, and then reinstalled, like in the upgrade
process.  (I use rc-file instead of sysv-rc to manage runlevels.)  If
I was using the standard sysv-rc, I would say that the symlink
/etc/rc.d/rc.S/S50netenv (which points to /etc/init.d/netenv) is being
removed and not restored upon reinstallation.

The consequence of this is that after upgrading, the netenv menu does
not show up when I boot up the computer unless I re-add the entry to
/etc/runlevel.conf.

On Wed, May 26, 2004 at 10:41:24AM +0200, Frank K?ster wrote:
> Debian User <bigmike160@yahoo.com> wrote:
>
> > I would prefer that when I upgrade netenv, it would remain in the boot
> > sequence.  It is tedious to have to re-add it every time the package
> > is updated.
>
> I see. You chose to disable it first after installation, but now you
> have enabled it, and naturally you want to keep it...
>
> It will add even more complexity to the maintainer scripts, thus it will
> take me some time to fix this.
>
> For the time being, you can save away the files corresponding to your
> default configuration (/etc/netenv/$hostname and
> /etc/netenv/setup-default), and run dpkg-reconfigure netenv. Choose to
> not keep the current settings and then accept the "Use current settings"
> choice (don't choose disable for now). At least I hope it will offer to
> keept the current settings... It will write a new /etc/netenv/$hostname,
> and possibly /etc/netenv/setup-default, which you should restore from
> your backup copy (or delete if you don't need setup-default).
>
> Regards, Frank
> --
> Frank K?ster, Biozentrum der Univ. Basel
> Abt. Biophysikalische Chemie
>



Information forwarded to Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to Michael Olson <bigmike160@yahoo.com>:
Extra info received and forwarded to maintainer. Copy sent to Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #20 received at 250914-maintonly@bugs.debian.org (full text, mbox):

From: Michael Olson <bigmike160@yahoo.com>
To: Frank K?ster <frank@kuesterei.ch>
Cc: Debian User <bigmike160@yahoo.com>, 250914-maintonly@bugs.debian.org
Subject: Re: Bug#250914: netenv: netenv init script is removed from the boot sequence on update
Date: Wed, 26 May 2004 16:43:55 -0500
[Message part 1 (text/plain, inline)]
Hmm, I just noticed that I received an email from debconf when
reinstalling netenv.  It said:

>The netenv package has tried to set up one network environment based
>on your current network settings. However, it didn't find a
>configuration that it understands - neither in
>/etc/networking/interfaces, nor in /etc/pcmcia/network.opts.
>
>netenv will be disabled. Please refer to the documentation.

This might be due to the fact that I don't do a whole lot with the
/etc/networking/interfaces file.  I'll attach a copy of some of the
files that I use in my configuration.

interfaces -> /etc/network/interfaces
tuxtanker -> /etc/netenv/$hostname
setup-dorm -> /etc/netenv/setup-dorm (called by tuxtanker)
config-files -> /etc/netenv/config-files (used by setup-dorm)

Perhaps that will be of greater help.
[interfaces (text/plain, attachment)]
[tuxtanker (text/plain, attachment)]
[setup-dorm (text/plain, attachment)]
[config-files (text/plain, attachment)]

Information forwarded to Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to maintainer. Copy sent to Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #25 received at 250914-maintonly@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: Michael Olson <bigmike160@yahoo.com>
Cc: 250914-maintonly@bugs.debian.org
Subject: Re: Bug#250914: netenv: netenv init script is removed from the boot sequence on update
Date: Thu, 27 May 2004 10:48:13 +0200
First of all, other users that read that bug report should not try the
solution in my last mail, see below.


Michael Olson <bigmike160@yahoo.com> schrieb:

> Hmm, I just noticed that I received an email from debconf when
> reinstalling netenv.  It said:
>
>>The netenv package has tried to set up one network environment based
>>on your current network settings. However, it didn't find a
>>configuration that it understands - neither in
>>/etc/networking/interfaces, nor in /etc/pcmcia/network.opts.
>>
>>netenv will be disabled. Please refer to the documentation.

Did I say you should reinstall netenv? If I said this, this was wrong. 

You have to prevent current netenv from removing itself from the boot
sequence upon upgrade. I forgot one item, and I explained it much more
complicated than I should. The first thing is to change the following
debconf information:

netenv/auto_configure: Disable for now

to 

netenv/auto_configure: Use current settings


So, instead of the procedure I described above, it is better to just
enter, as root:

echo set netenv/auto_configure Use current settings | debconf-communicate netenv

The second thing (which I forgot in the first mail) is to set showagain:

echo set netenv/showagain false | debconf-communicate netenv

This means:

,----
| _Description: Upon upgrade, ask again to renew configuration?
|  You've answered that you want to keep your current configuration this
|  time. Because the automatic configuration may get new features, you will
|  be asked the question again when you upgrade netenv the next time.
|  .
|  If, however, you want debconf to remember your decision and never touch
|  your configuration, you can specify that now.
`----

Both commands together should do the trick for you, regardless of the
contents of those files.

The problem with the solution I gave in my first mail is the following:

If netenv finds that it will be able to configure the computer with the
scheme using setup-default, it will also rename /etc/network/interfaces
and /etc/resolv.conf and create symlinks for the original names to the
renamed files . However, if they are symlinks yet, the target will be
renamed, and this might cause the setup-$place files to fail.

Regards, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to Michael Olson <bigmike160@yahoo.com>:
Extra info received and forwarded to maintainer. Copy sent to Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #30 received at 250914-maintonly@bugs.debian.org (full text, mbox):

From: Michael Olson <bigmike160@yahoo.com>
To: Frank K?ster <frank@kuesterei.ch>
Cc: 250914-maintonly@bugs.debian.org
Subject: Re: Bug#250914: netenv: netenv init script is removed from the boot sequence on update
Date: Thu, 27 May 2004 12:27:49 -0500
OK, the problem is fixed now.  Just to be sure, I reinstalled netenv
(simulating an upgrade), and netenv remained in the boot sequence this
time.

Thanks again for the help!

Mike Olson

On Thu, May 27, 2004 at 10:48:13AM +0200, Frank K?ster wrote:
> First of all, other users that read that bug report should not try the
> solution in my last mail, see below.
>
> Did I say you should reinstall netenv? If I said this, this was wrong.
>
> You have to prevent current netenv from removing itself from the boot
> sequence upon upgrade. I forgot one item, and I explained it much more
> complicated than I should. The first thing is to change the following
> debconf information:
>
> netenv/auto_configure: Disable for now
>
> to
>
> netenv/auto_configure: Use current settings
>
>
> So, instead of the procedure I described above, it is better to just
> enter, as root:
>
> echo set netenv/auto_configure Use current settings | debconf-communicate netenv
>
> The second thing (which I forgot in the first mail) is to set showagain:
>
> echo set netenv/showagain false | debconf-communicate netenv
>
> This means:
>
> ,----
> | _Description: Upon upgrade, ask again to renew configuration?
> |  You've answered that you want to keep your current configuration this
> |  time. Because the automatic configuration may get new features, you will
> |  be asked the question again when you upgrade netenv the next time.
> |  .
> |  If, however, you want debconf to remember your decision and never touch
> |  your configuration, you can specify that now.
> `----
>
> Both commands together should do the trick for you, regardless of the
> contents of those files.
>
> The problem with the solution I gave in my first mail is the following:
>
> If netenv finds that it will be able to configure the computer with the
> scheme using setup-default, it will also rename /etc/network/interfaces
> and /etc/resolv.conf and create symlinks for the original names to the
> renamed files . However, if they are symlinks yet, the target will be
> renamed, and this might cause the setup-$place files to fail.
>
> Regards, Frank
> --
> Frank K?ster, Biozentrum der Univ. Basel
> Abt. Biophysikalische Chemie
>



Information forwarded to Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to Michael Olson <bigmike160@yahoo.com>:
Extra info received and forwarded to maintainer. Copy sent to Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #35 received at 250914-maintonly@bugs.debian.org (full text, mbox):

From: Michael Olson <bigmike160@yahoo.com>
To: Frank K?ster <frank@kuesterei.ch>
Cc: 250914-maintonly@bugs.debian.org
Subject: Re: Bug#250914: netenv: netenv init script is removed from the boot sequence on update
Date: Fri, 28 May 2004 12:04:04 -0500
There is one more thing that is related to this bug.  I think that
there is a difference in ordering between rc-file and sysv-rc.  For
example, when netenv's setup script runs update-rc.d, it uses a
runlevel of 40.  The networking script also has a runlevel of 40.
netenv's setup script depends on the fact that sysv-rc reads through a
directory in alphabetical order, so netenv's init script always gets
called before the networking init script.

The problem is, since rc-file uses a text file to determine the order
to execute things, any two programs with the same runlevel are not
guaranteed to be run in alphabetical order.  Whichever script is added
first using 'update-rc.d' will be executed first.

To remedy this, I suggest changing netenv's setup script to use a
runlevel of 39 instead, so it will always run before the networking
script.

Mike Olson



Information forwarded to Frank Küster <frank@kuesterei.ch>:
Bug#250914; Package netenv. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to maintainer. Copy sent to Frank Küster <frank@kuesterei.ch>. Full text and rfc822 format available.

Message #40 received at 250914-maintonly@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: Michael Olson <bigmike160@yahoo.com>
Cc: 250914-maintonly@bugs.debian.org
Subject: Re: Bug#250914: netenv: netenv init script is removed from the boot sequence on update
Date: Wed, 23 Jun 2004 18:54:50 +0200
Hi Michael,

Michael Olson <bigmike160@yahoo.com> wrote:

> OK, the problem is fixed now.  Just to be sure, I reinstalled netenv
> (simulating an upgrade), and netenv remained in the boot sequence this
> time.
>
> Thanks again for the help!

Fine that it works now for you. However, I don't understand it. When I
looked at the code more closely in order to fix the bug, I noticed that
"it is already fixed", i.e. that it shouldn't have occurred at all. 

So perhaps the reason that I suspected was wrong, and the bug is
somewhere else in the script. The only way I see how I could find out is
to undo the fix you applied on your system, and then pin the error
down. Are you willing to do this, and do you have time to answer a
couple of questions and try some installation/deinstallation runs?

With respect to the boot order issue (the difference between file-rc and
sysv-rc), I am discussing with the maintainers of both packages, but we
didn't reach a conclusion yet.

Regards, and thanks in advance, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Bug 250914 cloned as bug 256699. Request was from frank@kuesterei.ch (Frank Küster) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from frank@kuesterei.ch (Frank Küster) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#256699; Package netenv. (Tue, 22 Sep 2009 09:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Fontaine <arnau@debian.org>. (Tue, 22 Sep 2009 09:06:03 GMT) Full text and rfc822 format available.

Message #49 received at 256699@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 256699@bugs.debian.org
Subject: Re: with file-rc, netenv cannot rely on hostname.sh being executed before it
Date: Tue, 22 Sep 2009 10:47:23 +0200
I just discovered this bug, and thought I should provide some
comments.  I am one of the sysvinit maintainers in Debian, and thus
the maintainer of sysv-rc.

First of all, when using the legacy way of ordering init.d scripts,
like described with sysv-rc and file-rc in this bug, one need to use
_different_ sequence numbers to ensure any given order during boot.
Expecting scripts with the same sequence number to run in alphabetic
order is not possible, and file-rc is perfectly OK to run them in
installation order instead of in alphabetic order.  To fix this with
file-rc and legacy boot ordering, the sequence number need to be
changed for netenv.

Next, there are confusing messages in this report.  Should netenv run
after hostname.sh, or before networking?  The title talk about
hostname.sh, while the emails in the report talk about networking.  I
assume both are true, yet find no information about the hostname
relation.

Assuming the netenv script should execute after hostname and before
networking and ifupdown, this header fragment probably make sense for
the dependency based boot sequencing:

  # Required-start: $local_fs hostname
  # X-Start-Before: $network

If it should run after ifupdown and before networking, this fragment
should be used instead:

  # Required-start: $local_fs hostname
  # Should-Start:   ifupdown
  # X-Start-Before: networking

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#256699; Package netenv. (Tue, 22 Sep 2009 09:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Fontaine <arnau@debian.org>. (Tue, 22 Sep 2009 09:39:05 GMT) Full text and rfc822 format available.

Message #54 received at 256699@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 256699@bugs.debian.org
Subject: Re: with file-rc, netenv cannot rely on hostname.sh being executed before it
Date: Tue, 22 Sep 2009 11:23:11 +0200
tags 256699 + patch
thanks

I talked with the package maintainer on IRC, and he believed the
netenv script needed to run after ifupdown with sequence number 39 and
before networking with sequence number 40 which is an impossible
situation with the current legacy boot ordering.

A closer look at the netenv package did not expose anything calling
ifupdown, and this make me believe it can actually start before
ifupdown, and thus should use sequence number 38.

This patch should move it to sequence number 38, and make sure it get
a similar boot order when using dependency based boot sequencing.  I
also assume it need to run after hostname based on the title of this
bug.  If this is not true, that part can be removed from the
required-start header.  This patch should also solve bug #547394.

The maintainer plan a new upload very shortly, but if he failed to
upload within two days, it is OK with an NMU.

diff -ur ../netenv-0.94.3/debian/init ../netenv-0.94.3-pere/debian/init
--- ../netenv-0.94.3/debian/init        2009-09-22 10:27:54.000000000 +0200
+++ ../netenv-0.94.3-pere/debian/init   2009-09-22 10:54:15.474115000 +0200
@@ -5,10 +5,10 @@
 #
 ### BEGIN INIT INFO
 # Provides:          netenv
-# Required-Start:    $local_fs
+# Required-Start:    $local_fs hostname
 # Required-Stop:     $local_fs
-# Should-Start:      $network
-# Should-Stop:       $network
+# X-Start-Before:    $network
+# X-Stop-After:      $network
 # Default-Start:     S
 # Default-Stop:
 # Short-Description: Start netenv at boot time
diff -ur ../netenv-0.94.3/debian/postinst ../netenv-0.94.3-pere/debian/postinst
--- ../netenv-0.94.3/debian/postinst    2009-09-22 10:27:54.000000000 +0200
+++ ../netenv-0.94.3-pere/debian/postinst       2009-09-22 11:17:30.625187000 +0200
@@ -132,6 +132,13 @@
 SETUPFILE=/etc/netenv/${NODE}
 NETENV_SCRIPT=/etc/netenv/setup-default

+# The sequence number of netenv was changed after version, to have a
+# sequence number before networking and ifupdown.  It is reinserted by
+# debhelper below.
+if [ "$1" = "configure" ] && dpkg --compare-versions "$2" le "0.94.3-24" ; then
+    update-rc.d -f netenv remove
+fi
+

 case "$1" in
   configure|reconfigure)
Only in ../netenv-0.94.3-pere/debian: postinst.~1~
diff -ur ../netenv-0.94.3/debian/rules ../netenv-0.94.3-pere/debian/rules
--- ../netenv-0.94.3/debian/rules       2009-09-22 10:27:54.000000000 +0200
+++ ../netenv-0.94.3-pere/debian/rules  2009-09-22 11:14:11.391854000 +0200
@@ -6,7 +6,7 @@
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk

 # Avoid starting netenv during update/installation of the package
-DEB_DH_INSTALLINIT_ARGS += --no-start -- start 40 S .
+DEB_DH_INSTALLINIT_ARGS += --no-start -- start 38 S .

 binary-install/netenv::
        cp debian/binary.lintian-overrides \

Happy hacking,
-- 
Petter Reinholdtsen




Added tag(s) patch. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Tue, 22 Sep 2009 09:39:06 GMT) Full text and rfc822 format available.

Reply sent to Arnaud Fontaine <arnau@debian.org>:
You have taken responsibility. (Tue, 22 Sep 2009 11:48:09 GMT) Full text and rfc822 format available.

Notification sent to Debian User <bigmike160@yahoo.com>:
Bug acknowledged by developer. (Tue, 22 Sep 2009 11:48:09 GMT) Full text and rfc822 format available.

Message #61 received at 256699-close@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: 256699-close@bugs.debian.org
Subject: Bug#256699: fixed in netenv 0.94.3-25
Date: Tue, 22 Sep 2009 11:32:19 +0000
Source: netenv
Source-Version: 0.94.3-25

We believe that the bug you reported is fixed in the latest version of
netenv, which is due to be installed in the Debian FTP archive:

netenv_0.94.3-25.diff.gz
  to pool/main/n/netenv/netenv_0.94.3-25.diff.gz
netenv_0.94.3-25.dsc
  to pool/main/n/netenv/netenv_0.94.3-25.dsc
netenv_0.94.3-25_all.deb
  to pool/main/n/netenv/netenv_0.94.3-25_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 256699@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arnaud Fontaine <arnau@debian.org> (supplier of updated netenv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 22 Sep 2009 11:31:38 +0100
Source: netenv
Binary: netenv
Architecture: source all
Version: 0.94.3-25
Distribution: unstable
Urgency: low
Maintainer: Arnaud Fontaine <arnau@debian.org>
Changed-By: Arnaud Fontaine <arnau@debian.org>
Description: 
 netenv     - Configure your system for different network environments
Closes: 256699 534789 547394
Changes: 
 netenv (0.94.3-25) unstable; urgency=low
 .
   * debian/init:
     + Ensure that netenv is started before networking. Thanks to Petter
       Reinholdtsen. Closes: #547394.
   * Fix number-ordering startup. Thanks to Petter Reinholdtsen.
     Closes: #256699.
   * debian/config:
     + Run set -e in the body of the script instead of the shebang line.
   * debian/copyright:
     + Update copyright years.
   * debian/control:
     + Update Standards-Version to 3.8.3.
       - Add debian/README.source.
   * debian/po/cs.po:
     + Update translation. Thanks to Miroslav Kure. Closes: #534789.
Checksums-Sha1: 
 2c5e0e536b091f6e5db1eacb5f35e8df1ed3c5dd 1048 netenv_0.94.3-25.dsc
 16427963cc53f35250a60078a960754c2185ebf7 51612 netenv_0.94.3-25.diff.gz
 51ff9d4dc5a9641fa88b32b910b2a3f3a16442a1 78468 netenv_0.94.3-25_all.deb
Checksums-Sha256: 
 ac6ad6662d278b12a166350336fc1a1592502611c40ea9711695fd09a545ce3f 1048 netenv_0.94.3-25.dsc
 234624734a41b489455f633b1b3c822f6ab95e4f9b8430b688603c9494d9dd7d 51612 netenv_0.94.3-25.diff.gz
 20a3321bb3826b33cb1d8ee73b0970d6534daf2ee56cca03a3be962969c5f313 78468 netenv_0.94.3-25_all.deb
Files: 
 cb91e43e2036026f09951ba11c003594 1048 admin extra netenv_0.94.3-25.dsc
 d9bff2dd9d60219af39b6683c19f2cde 51612 admin extra netenv_0.94.3-25.diff.gz
 b2dd02e1db417a54acb8862017a7841d 78468 admin extra netenv_0.94.3-25_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkq4soYACgkQvfKiIF42GdNNggCcDt01QtUeytCmQIng4yd3fyvR
t28AoKXMnU/fwK543Hj90x8b9NLKt28T
=gnlJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 Oct 2009 07:42:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:43:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.